Account

Get account overview

A read-only snapshot of the authenticated user's own account (DEX-11517): `profile` (name, email, timezone, default email client, SMS/WhatsApp messaging mode), `integrations` (connected Google/Outlook

GET /v2/account/overview

Parameters

Query parameters

sections
array<string enum>

Responses

200 — Successful response

Content-Type: application/json

data
object required
data.account_overview
object required
data.account_overview.profile
object
data.account_overview.profile.name
string
data.account_overview.profile.email
string
data.account_overview.profile.timezone
string
data.account_overview.profile.default_email_client
string | null
data.account_overview.profile.messaging_mode
string enum
Possible values: "sms", "whatsapp"
data.account_overview.integrations
array<object>
data.account_overview.integrations[].provider
string
data.account_overview.integrations[].account_email
string | null
data.account_overview.integrations[].connected
boolean
data.account_overview.integrations[].enabled
boolean | null
data.account_overview.integrations[].status
string | null
data.account_overview.integrations[].needs_reauth
boolean | null
data.account_overview.integrations[].error_code
string | null
data.account_overview.integrations[].last_sync_at
string (date-time)
data.account_overview.integrations[].email_last_sync_at
string (date-time)
data.account_overview.integrations[].calendar_last_sync_at
string (date-time)
data.account_overview.integrations[].email_sync_enabled
boolean | null
data.account_overview.integrations[].calendar_sync_enabled
boolean | null
data.account_overview.integrations[].permissions
object | null
data.account_overview.integrations[].permissions.read_email
boolean
data.account_overview.integrations[].permissions.send_email
boolean
data.account_overview.integrations[].permissions.create_draft
boolean
data.account_overview.integrations[].permissions.read_calendar
boolean
data.account_overview.integrations[].permissions.write_calendar
boolean
data.account_overview.onboarding
object
data.account_overview.onboarding.onboarded_web
boolean
data.account_overview.onboarding.onboarded_mobile
boolean
data.account_overview.onboarding.status
object
data.account_overview.onboarding.status.email
boolean
data.account_overview.onboarding.status.linkedin
boolean
data.account_overview.onboarding.status.imessage
boolean
data.account_overview.onboarding.status.address_book
boolean
data.account_overview.onboarding.status.mobile
boolean
data.account_overview.onboarding.checklist
array<object>
data.account_overview.onboarding.checklist[].key
string
data.account_overview.onboarding.checklist[].complete
boolean
data.account_overview.onboarding.checklist[].auto_completed
boolean
data.account_overview.onboarding.checklist_dismissed
boolean
data.account_overview.workspace
object
data.account_overview.workspace.workspace_id
string (uuid)
data.account_overview.workspace.accounts
array<object>
data.account_overview.workspace.accounts[].credential_id
string (uuid)
data.account_overview.workspace.accounts[].provider
string enum
Possible values: "GOOGLE", "OFFICE365"
data.account_overview.workspace.accounts[].account_email
string
data.account_overview.workspace.accounts[].shareable
boolean
data.account_overview.workspace.accounts[].unshareable_reason
string enum
Possible values: "provider", "missing_mail_scope", "email_sync_off"
data.account_overview.workspace.accounts[].calendar_shareable
boolean
data.account_overview.workspace.accounts[].calendar_unshareable_reason
string enum
Possible values: "provider", "missing_calendar_scope", "calendar_sync_off"
data.account_overview.workspace.accounts[].enablement
object | null
data.account_overview.workspace.accounts[].enablement.workspace_id
string (uuid)
data.account_overview.workspace.accounts[].enablement.credential_id
string (uuid)
data.account_overview.workspace.accounts[].enablement.member_user_id
string
data.account_overview.workspace.accounts[].enablement.provider
string enum
Possible values: "GOOGLE", "OFFICE365"
data.account_overview.workspace.accounts[].enablement.account_email
string | null
data.account_overview.workspace.accounts[].enablement.state
string enum
Possible values: "enabled", "disabled", "frozen"
data.account_overview.workspace.accounts[].enablement.email_enabled
boolean
data.account_overview.workspace.accounts[].enablement.calendar_enabled
boolean
data.account_overview.workspace.accounts[].enablement.content_visibility
string enum
Possible values: "metadata", "full"
data.account_overview.workspace.accounts[].enablement.calendar_auto_add
boolean
data.account_overview.workspace.accounts[].enablement.email_auto_add
boolean
data.account_overview.workspace.accounts[].enablement.disabled_reason
string enum
Possible values: "explicit", "departed", "frozen"
data.account_overview.workspace.accounts[].enablement.disabled_by
string | null
data.account_overview.workspace.accounts[].enablement.enabled_at
string (date-time)
data.account_overview.workspace.accounts[].enablement.disabled_at
string (date-time)
data.account_overview.workspace.accounts[].enablement.backfill_status
string enum
Possible values: "pending", "running", "succeeded", "failed"

Example

{
  "data": {
    "account_overview": {
      "profile": {
        "name": "string",
        "email": "string",
        "timezone": "string",
        "default_email_client": "string",
        "messaging_mode": "sms"
      },
      "integrations": [
        {
          "provider": "string",
          "account_email": "string",
          "connected": false,
          "enabled": false,
          "status": "string",
          "needs_reauth": false,
          "error_code": "string",
          "last_sync_at": "2026-11-13T08:29:48.779Z",
          "email_last_sync_at": "2026-11-13T08:29:48.779Z",
          "calendar_last_sync_at": "2026-11-13T08:29:48.779Z",
          "email_sync_enabled": false,
          "calendar_sync_enabled": false,
          "permissions": {
            "read_email": false,
            "send_email": false,
            "create_draft": false,
            "read_calendar": false,
            "write_calendar": false
          }
        }
      ]
    }
  }
}

400 — Request body failed validation.

Content-Type: application/json

(body)
any

401 — Missing or invalid API key.

Content-Type: application/json

(body)
any

403 — Valid key, insufficient permission.

Content-Type: application/json

(body)
any

404 — Resource does not exist.

Content-Type: application/json

(body)
any

409 — Request conflicts with the current state of the resource.

Content-Type: application/json

(body)
any

429 — Rate limit exceeded.

Content-Type: application/json

(body)
any

500 — Unexpected server error.

Content-Type: application/json

(body)
any

Code samples

curl https://api.prod.getdex.com/v2/account/overview \
  --header 'Authorization: Bearer YOUR_API_KEY'
Copyright © 2026